Bug 107193 - How to increase text size of local help files
Summary: How to increase text size of local help files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2017-04-15 21:08 UTC by Gérard Talbot
Modified: 2017-12-11 03:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gérard Talbot 2017-04-15 21:08:24 UTC
Start LibreOffice and then press F1. Make sure that the navigation pane ("volet de navigation")

How to increase the font size, the text size of content of the helpfiles? There is no hint, no icon, no instruction on how to achieve this. We can see the following icons in the upper part of the page: Back, Forward, First Page, Print, Bookmark and Find in this page ... but no text size increase/decrease buttons or icons. The Help Window of LibreOffice content does not mention this at all: it does mention navigation, print, navigation pane, find text, copy text but not how to increase text size.

I found out how I could increase/decrease text size by asking assistance in an online discussion forum:

http://forum.kubuntu-fr.org/viewtopic.php?id=2008121


Actual results
- - - - - - - -
No icons offering to increase and decrease text size of content of local helpfiles and no text description explaining how to increase and decrease text of content of local helpfiles.


Expected results
- - - - - - - - -

2 icons (with, preferably, appropriate tooltip text) offering to increase and decrease text size of content of local helpfiles and a text description elsewhere in that interface explaining how to increase and decrease text of content of local helpfiles.



The text may mention that, with holding the Ctrl key, rolling the mousewheel will succeed but that is not what this bug report is formally requesting. What if the user's mouse does not have a rolling wheel? ... is what I thought too.

I just tried Ctrl++ and Ctrl+- (which is entirely keyboard-based) to increase and decrease text size to no avail.
Comment 1 Olivier Hallot 2017-04-15 22:17:55 UTC
For the records: the Help window is actually Writer/Web displaying a XML transformed page to HTML, therefore the increase and decrease font size commands are the same of that application.

Marking NEW.
Comment 2 Regina Henschel 2017-04-15 22:29:19 UTC
And Ctrl+mouse-wheel works same as in other apps.
Comment 3 Gérard Talbot 2017-04-16 23:02:50 UTC
Another thing. This is just a comment. The initial text size of the local help files was small, much too small for me. I would not have had this problem if the initial text size of the local help files had been initially bigger or just reasonable. This, I think, should be investigated; maybe I should file another bug report on this. There is nothing more frustrating about a software than to encounter a problem, and then when trying to find a solution with the local helpfiles, the user is just unable to *just read* the helpfiles because text is too small. 

- - - - - 

What if the user does not have, does not use a mouse with a rolling wheel? Then how is such user supposed to increase font size, text size in LibreOffice applications a) with the keyboard only or b) from within the menu? I am aware of the zoom display bar on the righthand side of the status bar of several LibreOffice applications.
Comment 4 Gérard Talbot 2017-04-17 00:08:53 UTC
> What if the user does not have, does not use a mouse with a rolling wheel?
> Then how is such user supposed to increase font size, text size in
> LibreOffice applications a) with the keyboard only or b) from within the
> menu? I am aware of the zoom display bar on the righthand side of the status
> bar of several LibreOffice applications.

In the past, I have use a wireless mouse: you need batteries to operate a wireless mouse. Most computer mouses in sale in computer shops are now (unfortunately) wireless. But the thing is: batteries never last more than 6 months. So, let's say your batteries get weak and now your mouse no longer responds, no longer operates. Then what? This really and actually happened to me. I remember I was able to work with the keyboard only in a minority of situations on the web but not in a majority of situations on the web. This lead me to change my purchase habits: I now only and always buy a mouse with a wire so that I never depend on, rely on batteries for my mouse to work.

Accessibility is just thinking about a wider range of possible situations and possible contexts from the user's point of view and still be able to perform tasks successfully. What if that LibreOffice user does not have a mouse with a wheel? What if that LibreOffice user has a mouse with a wheel but, on some important day for that user, his mouse batteries go too weak: will (s)he be still able to complete his tasks with only the keyboard? or with only the LO interface?
Comment 5 Gérard Talbot 2017-04-17 02:18:27 UTC
> how is such user supposed to increase font size, text size in
> LibreOffice applications (...) or b) from within the
> menu?

From the menu bar,
Display/Zoom 
will do this in LibreOffice applications. But this is still not possible from the Help window, for local helpfiles. The zoom factor that an user [re-]sets for a document in Writer has no effect, no impact at all on the zoom factor being applied to the Help Window (F1).
Comment 6 Commit Notification 2017-04-26 10:15:20 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=f986a76171ac9fcd45f5996dc9fc3ac31f46dd31

tdf#107193 tdf#107436 Increase body size to 11 pt
Comment 7 Gérard Talbot 2017-04-26 20:32:10 UTC
Adolfo,

The text size of the help content was indeed too small for me. I think increasing body size to 11pt is most likely still small for a majority of people over 50.

Several studies now indicate that the minimum font size for text on the web and on CRT is 16px (12pt).

Some studies:

Big Type Is Best for Aging Baby Boomers
A Case for Universal Graphic Design
http://web.archive.org/web/20070711190923/http://www.lighthouse.org/accessibility/boomers/


"
3. Point Size
Type should be large, preferably at least 16 to 18 points, but keep in mind that the relationship between readability and point size differs somewhat among typefaces.
"
coming from

Making Text Legible
Designing for People with Partial Sight
http://web.archive.org/web/20070708133853/http://www.lighthouse.org/accessibility/legible/

"
Flash forward to 2007 and believe it or not, 16px was still considered huge for body text, but by 2011 the mainstream influx of responsive development and larger resolution displays caused designers to consider 16px as a minimum, and we’ve been toiling close to that mark ever since.
"
coming from
Your Body Text Is Too Small
Why website body text should be bigger, and ways to optimize it.
https://blog.attackthefront.io/your-body-text-is-too-small-5e02d36dc902

A more recent study:

Make it Big! The Effect of Font Size and Line Spacing on Online Readability. 
https://www.slideshare.net/mpielot/make-it-big-the-effect-of-font-size-and-line-spacing-on-online-readability-62004998
concludes by suggesting 18pt

Also

16 Pixels Font Size: For Body Copy. Anything Less Is A Costly Mistake
https://www.smashingmagazine.com/2011/10/16-pixels-body-copy-anything-less-costly-mistake/

- - - - - -

Whatever the initial body size of help content is or becomes, this bug report is about providing icons and text description somewhere in the interface explaining how to increase and decrease text of content of local helpfiles (with Ctrl++, Ctrl+- or with Ctrl+mousewheel rolling).

"
With so many different sized monitors around and different resolution settings available, there’s just no way you can guarantee that a visitor will have the same set up as you (or your web designer). Making the font size adjustable based on the visitor’s settings is one way to keep the visitor.
"
Best Font Size for Web Design 
Don’t Set the Font Size Too Small!
http://www.webpagemistakes.ca/best-font-size-for-web-design/


The best line length is widely known to be between 50 and 75 characters (including white space). But since the help content pane is flexible-resizable, this is not settable. On the other hand, leading (line spacing) is: best value is 1.5, not 1.0. And we have lots of documentation on readability and line spacing.
Comment 8 Olivier Hallot 2017-12-10 12:51:17 UTC
The LibreOffice Help is in process to migrate to a modern browser. 

The online help can be tested in this URL:

http://helponline.libreoffice.org

Please let us know if a modern browser addresses your concerns in terms of font size. Usually you increase/decrease fonts in web page by pressing Ctrl++ and Ctrl +- .
Comment 9 Gérard Talbot 2017-12-11 03:52:51 UTC
(In reply to Olivier Hallot from comment #8)
> The LibreOffice Help is in process to migrate to a modern browser. 
> 
> The online help can be tested in this URL:
> 
> http://helponline.libreoffice.org
> 
> Please let us know if a modern browser addresses your concerns in terms of
> font size. Usually you increase/decrease fonts in web page by pressing
> Ctrl++ and Ctrl +- .


Being able to increase/decrease text size of a webpage is one thing. Choosing the best, ideal font size for unstyled body text is another. The best, ideal CSS font size for unstyled body text for everyone is '100%' or '1em' or 'medium'. 

The best, ideal CSS font size for unstyled body text for everyone is not '11pt'. 11pt is an absolute font size unit.


- - - - - - -

"
The 'medium' value is the user's preferred font size (...)
"
15.7 Font size: the 'font-size' property
https://www.w3.org/TR/CSS21/fonts.html#font-size-props
https://www.w3.org/TR/CSS22/fonts.html#font-size-props

- - - - - - -

"
 (...)
Web pages often try to override this size for their body text. The better-designed sites won't do this: where they need to show smaller text (e.g. for side notes) or larger text (e.g. for headings) they will specify these sizes as a percentage of your browser's base size. 
(...)
"
Setting up your browser
1. Text font and size
http://www.syntacticweb.co.uk/calib.htm

- - - - - - -

"
If you use 100% for most of your content, the user will be able to read it with ease, since the size matches the user's default.  If you specify larger sizes, say 120-140%, for things like headings, it will attract the user's attention to these things and they will always be larger than the body text since they will scale with the text size set by the browser. 
"
Truth and Consequences of web design
Font size
http://web.archive.org/web/20090529000800/http://pages.prodigy.net/chris_beall/TC/Font%20size.html

- - - - - - -

"
(...)
Do not specify the font-size in pt, or other absolute length units. They render inconsistently across platforms and can't be resized by the User Agent (e.g browser).
Use relative length units such as percent or (better) em,
(...)
"
Care With Font Size
https://www.w3.org/2003/07/30-font-size

- - - - - - -

"
setting the font size to a fixed size is not advisable for screen display (the browser). (...)
"
http://www.webpagemistakes.ca/best-font-size-for-web-design/

- - - - - - -

"
Avoid FONT SIZE settings for your normal body text. By definition, the browser's normal font size is supposed to be the most readable size for normal text. That's why browsers have a configuration setting to let the user choose a font size for normal text, so that they can choose one that is good for them.
"
Dan's Web Tips: Characters and Fonts (This page was first created 20 Jul 1997)
http://webtips.dan.info/char.html

- - - - - - -

The following CSS code comes (line 90 or so) from

https://helponline.libreoffice.org/5.4/default.css


p,
td {
    font-size: 11pt;
    margin: 2px 2px 2px 2px;
}
h1 {
    font-size: 22pt;
}
h2 {
    font-size: 14pt;
}
h3 {
    font-size: 12pt;
}
h4,
h5,
h6 {
    font-size: 11pt;
}

These values in pt unit are bad. Do not use pt for screen viewing. pt unit is best for styling on media with known physical properties (like print). 
Do not use an absolute unit for screen viewing.

Here are the values that all mainstream browsers use in their user agent style sheet:

Chrome and Firefox:

Chrome 20 and higher
********************

h1 {font-size: 2em; margin: 0.67em 0; font-weight: bold;}

h2 {font-size: 1.5em; margin: 0.83em 0;}

h3 {font-size: 1.17em;}

h4 no font-size declaration; its the same as '100%' or '1em' or 'medium'

h5 {font-size: 0.83em;}

h6 {font-size: 0.67em; Appendix D gives font-size: .75em;} 

body no font-size declaration

p no font-size declaration

pre no font-size declaration // monospace


Firefox 20 and higher (see resource://gre-resources/html.css)
********************

h1 {font-size: 2em; margin: 0.67em 0; font-weight: bold;}

h2 {font-size: 1.5em; margin: 0.83em 0;}

h3 {font-size: 1.17em;}

h4 {font-size: 1.00em;}

h5 {font-size: 0.83em;}

h6 {font-size: .67em; Appendix D gives font-size: .75em;} 

body no font-size declaration

p no font-size declaration

pre no font-size declaration // monospace: font-family: -moz-fixed


All mainstream browsers use 'margin: 1em 0' for p elements. Such default is generally good and will match the default (preferred by the user) font-size.

All mainstream browsers use 'padding: 1px' for td elements. Such default is good 90% of the time, I would say.


There is no need to redefine or redeclare those preset-in-browsers values... and if the design requires a change, then it's best to use relative unit like em or %.